@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");

/*--------------------------------------------------------------
# General
--------------------------------------------------------------*/
:root {
  scroll-behavior: smooth;

    --light: #F9F9F9;
  --blue: #3C91E6;
  --light-blue: #CFE8FF;
  --grey: #d9d9d9;
  --dark-grey: #373737;
  --dark: #342E37;
  --red: #DB504A;
  --light-red:#fbf2ef;
  --yellow: #FFCE26;
  --light-yellow: #FFF2C6;
  --orange: #FD7238;
  --light-orange: #FFE0D3;
  --green:#13deb9;
  --light-green:#e6fffa;
}


.update_view-data label{
  margin-top: 10px;
}

.tabler {
    border-collapse: separate;
    border-spacing: 0px 10px;
    width: 100%;
  max-width: 100%;

}

.tabler tr{
    border-radius: 7px;
}

.tabler tr td{
   background-color: #fdfdfd;
   border: 1px solid #f9f9f9;
   padding: 5px 10px;
   vertical-align: middle;
    box-shadow: 0 3px 2px rgba(0,0,0,.08);
    transition:all .2s ease;
    font-size:15px;
    color:#777;
    text-align: center;
}

.tabler tr th{
    text-align: center;
}

.tabler tr td:first-child{
border-radius: 6px 0 0 6px;
}

.tabler tr td:last-child{
border-radius: 0 6px 6px 0;
}

body {
  font-family: "Roboto", sans-serif !important;
  background: #f5f6fe !important;
  color: #444444 !important;
}

a {
  cursor: pointer;
  text-decoration: none !important;
  color: var(--bs-primary);
}

a:hover,
a:focus {
  text-decoration: none;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
  transition: background-color 5000s ease-in-out 0s;
}

textarea {
  resize: none;
}

hr {
  margin: 10px 0px;
  color: darkgray;
}

.pe-5{
  padding-right: 3rem !important;
}

/*--------------------------------------------------------------
# Loader
--------------------------------------------------------------*/
#loader {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 9999;
  overflow: hidden;
  background: #fff;
}

#loader:before {
  content: "";
  position: fixed;
  top: calc(50% - 0px);
  left: calc(50% - 30px);
  border: 6px solid #f3f3f3;
  border-top-color: var(--bs-primary);
  border-bottom-color: var(--bs-primary);
  border-radius: 50%;
  width: 60px;
  height: 60px;
  animation: animate-loader 1s linear infinite;
}

@keyframes animate-loader {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

/*--------------------------------------------------------------
# Override some default Bootstrap stylings
--------------------------------------------------------------*/
.d-flex {
  display: flex;
}
#menu {
  text-decoration: none;
  display: flex;
  align-items: center;
  background: #242526;
  padding: 5px 20px;
  border-radius: 5px;
  -webkit-box-shadow: 0 2px 2px 0 rgb(0 0 0 / 14%),
    0 3px 1px -2px rgb(0 0 0 / 12%), 0 1px 5px 0 rgb(0 0 0 / 20%);
  box-shadow: 0 2px 2px 0 rgb(0 0 0 / 14%), 0 3px 1px -2px rgb(0 0 0 / 12%),
    0 1px 5px 0 rgb(0 0 0 / 20%);
}
.drop-btn img {
  cursor: pointer !important;
  border-radius: 100%;
  object-fit: cover;
  width: 33px;
  height: 33px;
  margin-left: 1px;
}
#navdrop .drop-btn p {
  color: white;
  font-weight: 300;
  padding: 0 12px 0 0;
  font-size: 20px;
  margin-bottom: 0px !important;
}
#navdrop {
  position: relative;
  width: fit-content;
}
#navdrop .drop-btn {
  width: 100%;
  /*background: #242526;*/
  border-radius: 5px;
  font-size: 20px;
  font-weight: 500;
  color: #b0b3b8;
  /*padding: 0 20px;*/
}
#navdrop .drop-btn span {
  float: right;
  line-height: 50px;
  font-size: 28px;
  cursor: pointer;
}
#navdrop .tooltip {
  position: absolute;
  right: 28px;
  bottom: -22px;
  height: 15px;
  width: 15px;
  display: none;
  background: #242526;
  -webkit-transform: rotate(45deg);
  transform: rotate(45deg);
  -webkit-box-shadow: 0 2px 2px 0 rgb(0 0 0 / 14%),
    0 3px 1px -2px rgb(0 0 0 / 12%), 0 1px 5px 0 rgb(0 0 0 / 20%);
  box-shadow: 0 2px 2px 0 rgb(0 0 0 / 14%), 0 3px 1px -2px rgb(0 0 0 / 12%),
    0 1px 5px 0 rgb(0 0 0 / 20%);
}
#navdrop .tooltip.show {
  display: block;
}
#navdrop .wrapper {
  height: 385px;
  position: absolute;
  top: 57px;
  right: 0;
  z-index: 9090;
  width: 350px;
  overflow: hidden;
  border-radius: 5px;
  display: none;
  background: #242526;
  -webkit-transition: all 0.3s ease-out;
  transition: all 0.3s ease-out;
  -webkit-box-shadow: 0 2px 2px 0 rgb(0 0 0 / 14%),
    0 3px 1px -2px rgb(0 0 0 / 12%), 0 1px 5px 0 rgb(0 0 0 / 20%);
  box-shadow: 0 2px 2px 0 rgb(0 0 0 / 14%), 0 3px 1px -2px rgb(0 0 0 / 12%),
    0 1px 5px 0 rgb(0 0 0 / 20%);
}
#navdrop .wrapper.show {
  display: block;
  display: flex;
}
.wrapper ul {
  width: 350px;
  list-style: none;
  padding: 10px 0;
  transition: all 250ms cubic-bezier(0.25, 0.1, 0.08, 0.93);
}
.wrapper ul li {
  margin: 0 10px;
  border-radius: 10px;
  line-height: 48px;
  padding-left: 6px !important;
  float: inherit;
  -webkit-transition: cubic-bezier(0.25, 0.1, 0.08, 0.93) 0.15s !important;
  -moz-transition: cubic-bezier(0.25, 0.1, 0.08, 0.93) 0.15s !important;
  -ms-transition: cubic-bezier(0.25, 0.1, 0.08, 0.93) 0.15s !important;
  -o-transition: cubic-bezier(0.25, 0.1, 0.08, 0.93) 0.15s !important;
  transition: cubic-bezier(0.25, 0.1, 0.08, 0.93) 0.15s !important;
}

.menu-bar hr,
.setting-drop hr,
.help-drop hr,
.theme-drop hr {
  height: 1px;
  margin: 8px 20px;
  background: #3a3b3c;
}
.wrapper ul li a {
  width: 100%;
  position: relative;
  color: #e4e6eb;
  font-size: 13.5px;
  font-weight: 300;
  padding: 0 3px;
  margin-left: 0 !important;
  display: flex;
  border-radius: 8px;
  align-items: center;
  text-decoration: none;
  -webkit-cursor: pointer;
  cursor: pointer;
}
.wrapper ul li a span {
  color: #e4e6eb;
  text-align: left;
}
.wrapper ul li a i {
  position: absolute;
  right: 10px;
  color: #e4e6eb;
  font-size: 30px;
}
.wrapper ul li:hover {
  background: #3a3b3c !important;
}
ul li a .icon {
  height: 35px;
  width: 35px;
  margin-right: 13px;
  background: #ffffff1a;
  display: flex;
  justify-content: center;
  text-align: center;
  border-radius: 50%;
}
ul li a .icon span {
  line-height: 35px;
  font-size: 23px;
  color: #e4e6eb;
}
ul li a .icon img {
  margin-top: 7.6px !important;
}

.wrapper ul.setting-drop,
.wrapper ul.help-drop,
.wrapper ul.theme-drop {
  display: none;
}
.wrapper .arrow {
  display: inline-flex;
  align-items: center;
  padding-left: 14px;
  font-size: 18px;
  font-weight: 400;
  color: #e4e6eb;
  width: 100%;
}
.wrapper .arrow i {
  color: #e4e6eb;
  font-size: 22px;
  cursor: pointer !important;
  line-height: 37px;
  margin: 13px 7px;
  border-radius: 50%;
  height: 35px;
  width: 35px;
  align-items: center;
  text-align: center;
  -webkit-transition: cubic-bezier(0.25, 0.1, 0.08, 0.93) 0.15s !important;
  -moz-transition: cubic-bezier(0.25, 0.1, 0.08, 0.93) 0.15s !important;
  -ms-transition: cubic-bezier(0.25, 0.1, 0.08, 0.93) 0.15s !important;
  -o-transition: cubic-bezier(0.25, 0.1, 0.08, 0.93) 0.15s !important;
  transition: cubic-bezier(0.25, 0.1, 0.08, 0.93) 0.15s !important;
}
.wrapper .arrow i:hover {
  background: #3a3b3c;
  font-size: 22px;
  cursor: pointer;
  border-radius: 50%;
  align-items: center;
  text-align: center;
}
.wrapper .arrow span {
  margin-right: 15px;
  font-weight: 600;
  font-size: 24px;
  color: #e4e6eb;
}

.profile-dsf3SD_02-1SAd9 {
  padding: 8px;
  align-items: center;
  cursor: pointer;
}

.profile-dsf3SD_02-1SAd9 a img {
  height: 60px !important;
  width: 60px;
  margin: auto 0 !important;
  border-radius: 50%;
  object-fit: cover;
}
#settings {
  background: transparent;
  box-shadow: none;
  outline: none;
  margin-right: -15px;
  margin-top: 2px;
  margin-left: 3px;
}
#feed-subject {
  color: #b0b3b8;
  font-size: 10px;
}
#feed-title {
  color: #e4e6eb;
  font-weight: 500;
  font-size: 13px;
}
#ch_head_name {
  color: #e4e6eb;
  font-weight: 500;
  margin-left: 10px;
  font-size: 15px;
}
#head_manage_acc {
  color: #b0b3b8;
  font-size: 12px;
  margin-left: 12px;
  line-height: 0;
}
.feed-dsf3SD_02-1SAd9 {
  padding: 8px;
  align-items: center;
  cursor: pointer;
}
.feed-dsf3SD_02-1SAd9 div {
  line-height: 0.7;
  display: inline-grid;
  align-items: center;
  vertical-align: middle;
}
.profile-dsf3SD_02-1SAd9 div {
  line-height: 1;
  display: inline-grid;
  align-items: center;
  vertical-align: middle;
}

#navdrop.btn-light .drop-btn {
  color: #b0b3b8;
  background: #fff;
}
#navdrop.btn-light .drop-btn #menu {
  background: #fff;
  -webkit-box-shadow: 0 2px 2px 0 rgb(255 255 255 / 19%),
    0 3px 1px -2px rgb(255 255 255 / 18%), 0 1px 5px 0 rgb(255 255 255 / 23%);
  box-shadow: 0 2px 2px 0 rgb(255 255 255 / 19%),
    0 3px 1px -2px rgb(255 255 255 / 18%), 0 1px 5px 0 rgb(255 255 255 / 23%);
}
#navdrop.btn-light .drop-btn #menu p {
  color: #222;

}
#navdrop.btn-light .wrapper {
  background: #fff;
  box-shadow: 0 2px 2px 0 rgb(255 255 255 / 19%),
    0 3px 1px -2px rgb(255 255 255 / 18%), 0 1px 5px 0 rgb(255 255 255 / 23%);
}
#navdrop.btn-light .wrapper span,
#navdrop.btn-light .wrapper ul li a {
  color: #232323;
  font-weight: 500;
}
#navdrop.btn-light li a span,
#navdrop.btn-light .wrapper ul li a i,
#navdrop.btn-light .wrapper .arrow i {
  color: #000;
}
#navdrop.btn-light ul li a .icon {
  background: rgb(0 0 0 / 10%);
}
#navdrop.btn-light .wrapper ul li:hover {
  background: #f2f2f2 !important;
}
#navdrop.btn-light .wrapper .arrow i:hover {
  background: #e4e6eb;
}
#navdrop.btn-light .tooltip {
  background: #f9f9f9 !important;
}

.buttons {
  position: absolute;
  right: 10px;
  top: 10px;
}


/*.sub-menu {
  display: none;
  list-style: none;
  padding-left: 20px;
}

.nav-item.open .sub-menu {
  display: block;
} 

.sub-menu li a{}

*/
/*--------------------------------------------------------------
# Header
--------------------------------------------------------------*/
.logo {
  line-height: 1;
}

.header-nav{
  
}

.header-nav .nav-profile span{
  color: #fff;
}

@media (min-width: 1200px) {
  .logo {
    width: 280px;
  }
}

@media only screen and (max-width: 1199px) {
  header .logo {
    display: none !important;
  }

  .header .toggle-sidebar-btn {
    padding-left: 0px;
  }
}

.header {
  transition: all 0.5s;
  z-index: 997;
  height: 60px;
  box-shadow: 0 0 0.1rem 0.1rem rgba(0, 0, 0, 0.3);
  background-color: #000;
  padding-left: 20px;
}

.header .toggle-sidebar-btn {
  font-size: 32px;
  padding-left: 10px;
  cursor: pointer;
  color: #fff;
}

/*--------------------------------------------------------------
  # Header Nav
  --------------------------------------------------------------*/
.header-nav ul {
  list-style: none;
}

.header-nav > ul {
  margin: 0;
  padding: 0;
}

.header-nav .nav-icon {
  font-size: 22px;
  color: var(--bs-primary);
  margin-right: 25px;
  position: relative;
}

.header-nav .nav-profile {
  color: var(--bs-primary);
}

.header-nav .nav-profile img {
  max-height: 36px;
}

.header-nav .nav-profile span {
  font-size: 14px;
}

.header-nav .profile {
  min-width: 240px;
  padding-bottom: 0;
  top: 8px !important;
}

.header-nav .profile .dropdown-header h6 {
  font-size: 18px;
  margin-bottom: 0;
  color: #444444;
}

.header-nav .profile .dropdown-header span {
  font-size: 14px;
}

.header-nav .profile .dropdown-item {
  font-size: 14px;
  padding: 10px 15px;
  transition: 0.3s;
}

.header-nav .profile .dropdown-item i {
  margin-right: 10px;
  font-size: 18px;
  line-height: 0;
}

.header-nav .profile .dropdown-item:hover {
  background-color: #f6f9ff;
}

/*--------------------------------------------------------------
  # Sidebar
  --------------------------------------------------------------*/
.sidebar {
  position: fixed;
  top: 60px;
  left: 0;
  bottom: 0;
  width: 300px;
  z-index: 996;
  transition: all 0.3s;
  padding: 20px;
  overflow-y: auto;
  scrollbar-width: thin;
  scrollbar-color: #aab7cf transparent;
  box-shadow: 0 0 0.1rem 0.1rem rgba(161, 157, 184, 0.3);
  background-color: #fff;
}

@media (max-width: 1199px) {
  .sidebar {
    left: -300px;
  }
}

.sidebar::-webkit-scrollbar {
  width: 5px;
  height: 8px;
  background-color: #fff;
}

.sidebar::-webkit-scrollbar-thumb {
  background-color: #aab7cf;
}

@media (min-width: 1200px) {
  #main,
  #footer {
    margin-left: 300px;
  }
}

@media (max-width: 1199px) {
  .toggle-sidebar .sidebar {
    left: 0;
  }
}

@media (min-width: 1200px) {
  .toggle-sidebar #main,
  .toggle-sidebar #footer {
    margin-left: 0;
  }

  .toggle-sidebar .sidebar {
    left: -300px;
  }
}

.sidebar-nav {
  padding: 0;
  margin: 0;
  list-style: none;
}

.sidebar-nav hr {
  margin: 10px;
}

.sidebar-nav li {
  padding: 0;
  margin: 0;
  list-style: none;
}

.sidebar-nav .nav-item {
  margin-bottom: 5px;
}


.sidebar-nav .nav-heading {
  font-size: 12px;
  text-transform: uppercase;
  color: #fff;
  padding: 15px 15px;
  margin: 15px 0px;
  font-weight: 500;
  background: #000;
  border-radius: 5px;
  vertical-align: middle;
}

.nav-heading a{
  color: #f9f9f9;
}

.nav-heading a:hover{
  color: #fff;
}

.nav-heading i{
  color: #fff;
  margin-right: 10px;
  font-size: 24;
}

.nav-heading span{
  font-size: 24;
}

.d-active{
  background: linear-gradient(-45deg, #ee7752, #e73c7e , #23a6d5, #23d5ab) !important;
  color: #fff !important;
}

.logout-btn{
  background: red;
  color: #fff;
  border: none;
  outline: none;
  border-radius: 10px;
  box-shadow: none;
}

.wrapp{
  height: auto !important;
}

.logout_button{
  margin-top: 15px !important;
}

.logout-btn:hover{
  border: none;
  outline: none;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
}

.sidebar-nav .nav-link {
  display: flex;
  align-items: center;
  letter-spacing: 0.2px;
  font-size: 14px;
  color: #000;
  border-left: none;
  background: #fff;
  transition: 0.3;
  padding: 10px 15px;
  border-radius: 4px;
}

.sidebar-nav .nav-link i {
  font-size: 16px;
  margin-right: 10px;
  color: #000;
}

.sidebar-nav .nav-link.active {
  color: var(--bs-primary);
  border: 2px solid var(--bs-primary);
}

.sidebar-nav .nav-link.active i {
  color: var(--bs-primary);
}

.sidebar-nav .nav-link:hover {
  color: #000;
  background: #eeeeee;
}

.sidebar-nav .nav-link:hover i {
  color: #000;
}


/*.sidebar-nav .nav-link:focus{
  background: linear-gradient(-45deg, #ee7752, #e73c7e, #23a6d5, #23d5ab);
  background-size: 400% 400%;
  animation: gradient 5s ease infinite;
  color: #fff;
}*/

@keyframes gradient {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}

/*--------------------------------------------------------------
# Main
--------------------------------------------------------------*/

#main {
  margin-top: 60px;
  padding: 20px 10px;
  transition: all 0.3s;
}

@media (max-width: 1199px) {
  #main {
    padding: 20px;
  }
}

/*--------------------------------------------------------------
# Login page
--------------------------------------------------------------*/
.video-content{
    position: absolute;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: -1;
}

.video-content video{
    object-fit: cover;
    width: 100%;
    height: 100%;
}
.login-card{
  margin-top: 240px;
  width: 350px !important;
  text-align: center;
  padding: 60px 40px;
}

.card {
  width: 100%;
  background-color: #fff;
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

h2 {
  text-align: center;
  color: #333;
}

form {
  display: flex;
  flex-direction: column;
}

.login-page input {
  padding: 10px;
  margin-bottom: 12px;
  border: 1px solid #e7e9ed;
  border-radius: 7px;
  transition: border-color 0.3s ease-in-out;
  outline: none;
  color: #333;
  margin-bottom: 20px;
}

input:focus {
  border-color: #ff4500;
}

.login-page button {
  background: linear-gradient(-45deg, #ee7752, #e73c7e , #23a6d5, #23d5ab) !important;
  color: #fff;
  padding: 10px;
  border: none;
  border-radius: 7px;
  cursor: pointer;
  transition: all 0.5s ease-in-out;
}

.login-page button:hover {
  background: linear-gradient(-45deg, #000, #000 , #000, #000) !important;
}

/*--------------------------------------------------------------
# Dashboard
--------------------------------------------------------------*/
.dash-overview .card {
  padding: 15px;
  border: none;
  border-bottom: 3px solid var(--bs-primary);
}

.dash-overview .card h1 {
  margin-bottom: 4px;
  font-size: 34px;
}

.dash-overview .card p {
  margin: 0px;
  font-size: 15px;
  color: gray;
}

.app-card.border-left-decoration { 
  border-left:3px solid #15a362
}

.app-card{
  position:relative;
  background:#fff !important;
  border-radius:0.25rem
}

.theme-btn, .theme-blue-btn, .theme-red-btn {
    color: #fff !important;
    padding: 10px 30px;
    border: none;
    transition: all 0.3s ease;
    display: inline-block;
    font-weight: 500;
    border-radius: 5px;
    font-size: 14px;
    background: #000;
    ;
    cursor: pointer;
}

.theme-btn:hover {
     background: #15a362 !important;
    color: #fff;
}




.theme-green-btn{
background: #15a362 !important;
    color: #fff;
    padding: 10px 30px;
    border: none;
    transition: all 0.3s ease;
    display: inline-block;
    font-weight: 500;
    border-radius: 5px;
    font-size: 14px;
    cursor: pointer;
}

.theme-blue-btn{
background: #478ecc !important;
    color: #fff;
    padding: 10px 30px;
    border: none;
    transition: all 0.3s ease;
    display: inline-block;
    font-weight: 500;
    border-radius: 5px;
    font-size: 14px;
    cursor: pointer;
    margin-right: 15px !important;
}

.theme-red-btn{
background: #ff0000 !important;
    color: #fff;
    padding: 10px 30px;
    border: none;
    transition: all 0.3s ease;
    display: inline-block;
    font-weight: 500;
    border-radius: 5px;
    font-size: 14px;
    cursor: pointer;
}

.theme-gray-btn{
background: #6c757d !important;
    color: #fff;
    padding: 10px 30px;
    border: none;
    transition: all 0.3s ease;
    display: inline-block;
    font-weight: 500;
    border-radius: 5px;
    font-size: 14px;
    cursor: not-allowed;
}

.theme-gray-btn:hover{
  color: #fff !important;
  background: #6c757d !important;
}

.theme-green-btn:hover,.theme-blue-btn:hover,.theme-red-btn:hover{
  color: #fff !important;
  background: #000 !important;
}

.prod-img{
  max-height: 40px !important;
}

.description_name, .item_name{
  max-width: 200px;
}


.box-info {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(240px, 1fr));
  grid-gap: 24px;
  margin-top: 18px;
}
.box-info li {
  padding: 24px;
  background: var(--light);
  border-radius: 20px;
  display: flex;
  align-items: center;
  grid-gap: 24px;
}
.box-info li .bx {
  width: 80px;
  height: 80px;
  border-radius: 10px;
  font-size: 36px;
  display: flex;
  justify-content: center;
  align-items: center;
}
.box-info li:nth-child(1) .bx {
  background: var(--grey);
  color: var(--dark-grey);
}
.box-info li:nth-child(2) .bx {
  background: var(--light-red);
  color: var(--red);
}
.box-info li:nth-child(3) .bx {
  background: var(--light-yellow);
  color: var(--yellow);
}
.box-info li:nth-child(4) .bx {
  background: var(--light-blue);
  color: var(--blue);
}

.box-info li:nth-child(5) .bx {
  background: var(--light-green);
  color: var(--green);
}




.box-info li .text h3 {
  font-size: 24px;
  font-weight: 600;
  color: var(--dark);
}
.box-info li .text p {
  color: var(--dark); 
}





@media (max-width: 575px) {

            table thead {
                display: none;
            }

            table tr {
                display: flex;
                flex-direction: column;
                border-bottom: 4px solid gray;

            }


            table td[data-label] {
                display: flex;

            }

            table td[data-label]::before {
                content: attr(data-label);
                width: 50%;
            }

            .welcome_msg{
              display: none;
            }


        }


 /*--------- box------*/
 
 @media (max-width: 768px) {
    table thead {
        display: none;
    }

    table, table tbody, table tr, table td {
        display: block;
        width: 100%;
    }

    table tr {
        margin-bottom: 1rem;
        border: 1px solid #ddd;
        padding: 10px;
        border-radius: 8px;
    }

    table td {
        text-align: right;
        position: relative;
        padding-left: 50%;
    }

    table td::before {
        content: attr(data-label);
        position: absolute;
        left: 10px;
        width: 45%;
        text-align: left;
        font-weight: bold;
    }
}


